Debian Bug report logs - #440943
libcompress-zlib-perl: Documentation and/or API inconsistencies

version graph

Package: libcompress-zlib-perl; Maintainer for libcompress-zlib-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Magnus Holmgren <holmgren@lysator.liu.se>

Date: Wed, 5 Sep 2007 16:18:01 UTC

Severity: important

Tags: upstream

Found in version libcompress-zlib-perl/2.005-3

Fixed in version libcompress-zlib-perl/2.007-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=29215

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#440943; Package libcompress-zlib-perl. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@lysator.liu.se>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@lysator.liu.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcompress-zlib-perl: Documentation and/or API inconsistencies
Date: Wed, 05 Sep 2007 18:16:17 +0200
Package: libcompress-zlib-perl
Version: 2.005-3
Severity: important
Tags: upstream

Compress::Zlib(3pm):

       $gz->gzclose
            Closes the compressed file. Any pending data is flushed to
            the file before it is closed.

            Returns 1 on success, 0 on failure.

The actual code:

sub Compress::Zlib::gzFile::gzclose
{
    my $self = shift ;
    my $gz = $self->[0] ;

    my $status = $gz->close() ;
    _save_gzerr($gz);
    return ! $status ;
}

IO::Compress::Gzip(3pm):

       close

           $z->close() ;
           close $z ;

       Returns true on success, otherwise 0.

Compress::Zlib::gzFile::gzclose inverts the result from the underlying
call, thus it returns 0 on success, 1 on failure. Contrary to the documentation.

On the other hand, Compress::Zlib::gzFile::gzflush() does indeed
return 1 on success and 0 on failure, which is the opposite of what
versions before 2.0 did, thus potentially breaking many applications.
Neither README nor changelog documents the change.

I haven't checked all subroutines, but gzwrite() and gzread() seem to
work the same.

-- 
Magnus Holmgren           holmgren@lysator.liu.se



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#440943; Package libcompress-zlib-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 440943@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Magnus Holmgren <holmgren@lysator.liu.se>, 440943@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#440943: libcompress-zlib-perl: Documentation and/or API inconsistencies
Date: Thu, 6 Sep 2007 23:14:37 -0500
[Message part 1 (text/plain, inline)]
tags 440943 + upstream
thanks

I reported this bug to the CPAN request tracker, as it should be fixed
upstream. You can see the CPAN bug report at:

http://rt.cpan.org/Ticket/Display.html?id=29215

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[Message part 2 (application/pgp-signature, inline)]

Tags added: upstream Request was from Gunnar Wolf <gwolf@gwolf.org> to control@bugs.debian.org. (Fri, 07 Sep 2007 04:42:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://rt.cpan.org/Ticket/Display.html?id=29215. Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. (Fri, 07 Sep 2007 13:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#440943; Package libcompress-zlib-perl. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 440943@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@lysator.liu.se>
To: 440943@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#440943: libcompress-zlib-perl: Documentation and/or API inconsistencies
Date: Sat, 8 Sep 2007 13:10:20 +0200
[Message part 1 (text/plain, inline)]
forwarded 440943 http://rt.cpan.org/Ticket/Display.html?id=29215
thanks

(I thought I included "Tags: upstream" in my report.)

I probably shouldn't expect the API to be reverted to something (more) 
backwards-compatible, but I'd think that backwards-incompatible API changes 
require the package to be renamed, just like with ordinary C libraries.

-- 
Magnus Holmgren        holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Forwarded-to-address changed from http://rt.cpan.org/Ticket/Display.html?id=29215 to http://rt.cpan.org/Ticket/Display.html?id=29215. Request was from Magnus Holmgren <holmgren@lysator.liu.se> to control@bugs.debian.org. (Sat, 08 Sep 2007 11:12:04 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 440943-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 440943-close@bugs.debian.org
Subject: Bug#440943: fixed in libcompress-zlib-perl 2.007-1
Date: Sun, 23 Sep 2007 06:32:05 +0000
Source: libcompress-zlib-perl
Source-Version: 2.007-1

We believe that the bug you reported is fixed in the latest version of
libcompress-zlib-perl, which is due to be installed in the Debian FTP archive:

libcompress-zlib-perl_2.007-1.diff.gz
  to pool/main/libc/libcompress-zlib-perl/libcompress-zlib-perl_2.007-1.diff.gz
libcompress-zlib-perl_2.007-1.dsc
  to pool/main/libc/libcompress-zlib-perl/libcompress-zlib-perl_2.007-1.dsc
libcompress-zlib-perl_2.007-1_all.deb
  to pool/main/libc/libcompress-zlib-perl/libcompress-zlib-perl_2.007-1_all.deb
libcompress-zlib-perl_2.007.orig.tar.gz
  to pool/main/libc/libcompress-zlib-perl/libcompress-zlib-perl_2.007.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libcompress-zlib-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Sep 2007 09:21:47 +0300
Source: libcompress-zlib-perl
Binary: libcompress-zlib-perl
Architecture: source all
Version: 2.007-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libcompress-zlib-perl - Perl module for creation and manipulation of gzip files
Closes: 440943
Changes: 
 libcompress-zlib-perl (2.007-1) unstable; urgency=low
 .
   * New upstream release
     Fixes compatibility issues with 1.x series
     Closes: #440943 -- Documentation and/or API inconsistencies
Files: 
 b6cfa7d8864e5fae9b593aaf4456d267 1062 perl optional libcompress-zlib-perl_2.007-1.dsc
 cd34094be117ad5bdb748d3c61c50499 63793 perl optional libcompress-zlib-perl_2.007.orig.tar.gz
 f99e9b9427a0b3baaf04996cf5095868 3845 perl optional libcompress-zlib-perl_2.007-1.diff.gz
 e11ce9dddfb76b6f78185c11088d2b35 35416 perl optional libcompress-zlib-perl_2.007-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG9gZIHqjlqpcl9jsRAuqTAKCt/8H/kt5tUuQlRFTdL9J3qwx+MQCcCR7u
a+JZdzw1XsTwfXF5Wsudha0=
=w/WR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Nov 2007 07:28:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:44:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.